CREATE TABLE irc_jd_req_post_history (
    RESULT_ID                NUMBER(18, 0) ,
    POSTING_ID               NUMBER(18, 0)     NOT NULL,
    JOB_BOARD_ID             VARCHAR2(800) ,
    JOB_BOARD_NAME           VARCHAR2(2000)    NOT NULL,
    POSTING_START_DATE       DATE          ,
    POSTING_END_DATE         DATE          ,
    POSTING_STATUS_CODE      VARCHAR2(120)     NOT NULL,
    POSTING_LANG             VARCHAR2(800) ,
    ERROR_DESC               CLOB          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    RESULT_ID                NUMBER(18, 0) ,
    POSTING_ID               NUMBER(18, 0)     NOT NULL,
    JOB_BOARD_ID             VARCHAR2(800) ,
    JOB_BOARD_NAME           VARCHAR2(2000)    NOT NULL,
    POSTING_START_DATE       DATE          ,
    POSTING_END_DATE         DATE          ,
    POSTING_STATUS_CODE      VARCHAR2(120)     NOT NULL,
    POSTING_LANG             VARCHAR2(800) ,
    ERROR_DESC               CLOB          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_irc_jd_req_post_history PRIMARY KEY (RESULT_ID, RESULT_ID)
);
